Soxway Docs
Sub User Whitelist

Add to sub-user whitelist

Whitelist an IP address for a specific sub-user.

POST
/reseller/sub-users/{subId}/whitelist

Authorization

bearerAuth
AuthorizationBearer <token>

Access token obtained via POST /reseller/access-token using your Reseller Key

In: header

Path Parameters

subId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.soxway.io/reseller/sub-users/0/whitelist" \  -H "Content-Type: application/json" \  -d '{    "cidr": "203.0.113.42/32"  }'
{
  "data": {
    "id": 0,
    "cidr": "string",
    "comment": "string",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string",
  "entry": {
    "id": 0,
    "cidr": "string",
    "comment": "string",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
Empty